<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::StlContainerView&lt; ::std::tuple&lt; ElementPointer, Size &gt; &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1StlContainerView_3_01_1_1std_1_1tuple_3_01ElementPointer_00_01Size_01_4_01_4.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::StlContainerView&lt; ::std::tuple&lt; ElementPointer, Size &gt; &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:acc8b9b701467fad8f16310264cab3bee"><td class="memItemLeft" align="right" valign="top"><a id="acc8b9b701467fad8f16310264cab3bee"></a>
typedef std::remove_const&lt; typename std::pointer_traits&lt; ElementPointer &gt;::element_type &gt;::<a class="el" href="classtesting_1_1internal_1_1NativeArray.html">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>RawElement</b></td></tr>
<tr class="separator:acc8b9b701467fad8f16310264cab3bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa0289cd65ef99ea632d2fb0ad5480eb"><td class="memItemLeft" align="right" valign="top"><a id="aaa0289cd65ef99ea632d2fb0ad5480eb"></a>
typedef <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">internal::NativeArray</a>&lt; RawElement &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:aaa0289cd65ef99ea632d2fb0ad5480eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2c9116c784cce6554d4aac9910482b"><td class="memItemLeft" align="right" valign="top"><a id="a0c2c9116c784cce6554d4aac9910482b"></a>
typedef const <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>const_reference</b></td></tr>
<tr class="separator:a0c2c9116c784cce6554d4aac9910482b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af58cbd5be79a8884b3425d39465f4bce"><td class="memItemLeft" align="right" valign="top"><a id="af58cbd5be79a8884b3425d39465f4bce"></a>
static <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">const_reference</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ConstReference</b> (const ::std::tuple&lt; ElementPointer, Size &gt; &amp;array)</td></tr>
<tr class="separator:af58cbd5be79a8884b3425d39465f4bce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd52f4f1bbc1fe4341e8f60e6d5f0190"><td class="memItemLeft" align="right" valign="top"><a id="acd52f4f1bbc1fe4341e8f60e6d5f0190"></a>
static <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Copy</b> (const ::std::tuple&lt; ElementPointer, Size &gt; &amp;array)</td></tr>
<tr class="separator:acd52f4f1bbc1fe4341e8f60e6d5f0190"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gmock-internal-utils_8h_source.html">gmock-internal-utils.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1StlContainerView_3_01_1_1std_1_1tuple_3_01ElementPointer_00_01Size_01_4_01_4.html">StlContainerView&lt; ::std::tuple&lt; ElementPointer, Size &gt; &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
